import { jsx } from "react/jsx-runtime";
import { TokenONI as TokenONI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenONI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ONI", "data-name": "TokenONI", ...props, children: /* @__PURE__ */ jsx(TokenONI$1, { variant }) });
  }
);
TokenONI.displayName = "TokenONI";
Object.assign(TokenONI, { isGdsIcon: true });
export {
  TokenONI
};
